Index: /palm/trunk/UTIL/inifor/src/inifor.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor.f90	(revision 3614)
+++ /palm/trunk/UTIL/inifor/src/inifor.f90	(revision 3615)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! bugfix: abort replaced by inifor_abort
+! 
+! 3613 2018-12-07 18:20:37Z eckhard
 ! Moved version output to setup_parameters()
 ! 
@@ -177,5 +180,5 @@
                 message = "Input buffers for group '" // TRIM(group % kind) // &
                    "' could not be preprocessed sucessfully."
-                CALL abort('main loop', message)
+                CALL inifor_abort('main loop', message)
              END IF
 
@@ -216,5 +219,5 @@
 
                           message = "'" // TRIM(output_var % kind) // "' is not a soil variable"
-                          CALL abort("main loop", message)
+                          CALL inifor_abort("main loop", message)
 
                       END SELECT
@@ -310,5 +313,5 @@
 
                       CASE DEFAULT
-                         CALL abort('main loop', message)
+                         CALL inifor_abort('main loop', message)
 
                       END SELECT
@@ -348,5 +351,5 @@
 
                       CASE DEFAULT
-                         CALL abort('main loop', message)
+                         CALL inifor_abort('main loop', message)
 
                       END SELECT
@@ -419,5 +422,5 @@
                              "' is not a valid '" // TRIM(output_var % kind) //&
                              "' variable kind."
-                          CALL abort('main loop', message)
+                          CALL inifor_abort('main loop', message)
                       END SELECT
  CALL run_control('time', 'comp')
@@ -426,10 +429,10 @@
                       message = "Averaging of large-scale forcing profiles " //&
                                 "has not been implemented, yet."
-                      CALL abort('main loop', message)
+                      CALL inifor_abort('main loop', message)
 
                    CASE DEFAULT
                       message = "Processing task '" // TRIM(output_var % task) //&
                                "' not recognized."
-                      CALL abort('', message)
+                      CALL inifor_abort('', message)
 
                    END SELECT
Index: /palm/trunk/UTIL/inifor/src/inifor_grid.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 3614)
+++ /palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 3615)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! bugfix: abort replaced by inifor_abort
+! 
+! 3614 2018-12-10 07:05:46Z raasch
 ! unused variables removed
 ! 
@@ -412,5 +415,5 @@
           message = "Averaging of large-scale forcing profiles " //            &
                     "has not been implemented, yet."
-          CALL abort('setup_parameters', message)
+          CALL inifor_abort('setup_parameters', message)
        END IF
 
@@ -1188,5 +1191,5 @@
 
           message = "Interpolation quantity '" // kind // "' is not supported."
-          CALL abort('setup_interpolation', message)
+          CALL inifor_abort('setup_interpolation', message)
 
        END SELECT
@@ -1289,5 +1292,5 @@
            IF (.NOT.PRESENT(z))  THEN
               message = "z has not been passed but is required for 'boundary' grids"
-              CALL abort('init_grid_definition', message)
+              CALL inifor_abort('init_grid_definition', message)
            END IF
 
@@ -1346,10 +1349,10 @@
            IF (.NOT.PRESENT(z))  THEN
               message = "z has not been passed but is required for 'palm' grids"
-              CALL abort('init_grid_definition', message)
+              CALL inifor_abort('init_grid_definition', message)
            END IF
 
            IF (.NOT.PRESENT(zw))  THEN
               message = "zw has not been passed but is required for 'palm' grids"
-              CALL abort('init_grid_definition', message)
+              CALL inifor_abort('init_grid_definition', message)
            END IF
 
@@ -1472,5 +1475,5 @@
         CASE DEFAULT
             message = "Grid kind '" // TRIM(kind) // "' is not recognized."
-            CALL abort('init_grid_definition', message)
+            CALL inifor_abort('init_grid_definition', message)
 
         END SELECT
@@ -1559,5 +1562,5 @@
           message = "Averaging grid kind '" // TRIM(avg_grid % kind) // &
                     "' is not supported. Use 'scalar', 'u', or 'v'."
-          CALL abort('get_cosmo_averaging_region', message)
+          CALL inifor_abort('get_cosmo_averaging_region', message)
 
        END SELECT
@@ -1609,5 +1612,5 @@
           message = "Averaging grid kind '" // TRIM(avg_grid % kind) // &
                     "' is not supported. Use 'scalar', 'u', or 'v'."
-          CALL abort('get_cosmo_averaging_region', message)
+          CALL inifor_abort('get_cosmo_averaging_region', message)
 
        END SELECT
@@ -1682,8 +1685,8 @@
        IF ( dz(1) == -1.0_dp )  THEN
           message = 'missing dz'
-          CALL abort( 'stretched_z', message)
+          CALL inifor_abort( 'stretched_z', message)
        ELSEIF ( dz(1) <= 0.0_dp )  THEN
           WRITE( message, * ) 'dz=', dz(1),' <= 0.0'
-          CALL abort( 'stretched_z', message)
+          CALL inifor_abort( 'stretched_z', message)
        ENDIF
 
@@ -1718,5 +1721,5 @@
                               'dz_stretch_level_end + 1 = ',                   &
                               number_stretch_level_end+1
-          CALL abort( 'stretched_z', message)
+          CALL inifor_abort( 'stretched_z', message)
        ENDIF
     
@@ -1731,5 +1734,5 @@
                               'dz_stretch_level_start = ',             &
                               number_stretch_level_start
-          CALL abort( 'stretched_z', message)
+          CALL inifor_abort( 'stretched_z', message)
        ENDIF
     
@@ -1744,5 +1747,5 @@
                               'values for dz_stretch_level_end = ',    &
                               number_stretch_level_end
-          CALL abort( 'stretched_z', message)
+          CALL inifor_abort( 'stretched_z', message)
        ENDIF
 
@@ -1782,5 +1785,5 @@
                        'dz_stretch_level_start + 4*MAX(dz(n),dz(n+1)) '//&
                        'to allow for smooth grid stretching'
-             CALL abort('stretched_z', message)
+             CALL inifor_abort('stretched_z', message)
        ENDIF
        
@@ -1792,5 +1795,5 @@
           WRITE( message, * ) 'Eeach dz_stretch_level_start has to be ',&
                               'larger than ', dz(1) * 1.5
-             CALL abort( 'stretched_z', message)
+             CALL inifor_abort( 'stretched_z', message)
        ENDIF
 
@@ -2016,5 +2019,5 @@
        ELSE
           message = 'Two adjacent values of dz must be different'
-          CALL abort( 'calculate_stretching_factor', message)
+          CALL inifor_abort( 'calculate_stretching_factor', message)
        ENDIF
 
@@ -2032,5 +2035,5 @@
                                      ' &or lower limit = ',                    &
                                      stretch_factor_lower_limit
-          CALL abort( 'calculate_stretching_factor', message )
+          CALL inifor_abort( 'calculate_stretching_factor', message )
             
        ENDIF
@@ -2316,5 +2319,5 @@
        IF (TRIM(cfg % start_date) == '')  THEN
           message = 'Simulation start date has not been set.'
-          CALL abort('setup_variable_tables', message)
+          CALL inifor_abort('setup_variable_tables', message)
        END IF
 
@@ -3605,5 +3608,5 @@
        CASE DEFAULT
            message = "Variable kind '" // TRIM(kind) // "' not recognized."
-           CALL abort ('init_nc_var', message)
+           CALL inifor_abort ('init_nc_var', message)
 
        END SELECT
@@ -3738,5 +3741,5 @@
              message = "Rotation method '" // TRIM(cfg % rotation_method) //   &
                 "' not recognized."
-             CALL abort('preprocess', message)
+             CALL inifor_abort('preprocess', message)
 
           END SELECT
@@ -3926,5 +3929,5 @@
           CASE DEFAULT
              message = "Invalid averaging period '" // TRIM(str(dt)) // " hours"
-             CALL abort('preprocess', message)
+             CALL inifor_abort('preprocess', message)
 
           END SELECT
@@ -3971,5 +3974,5 @@
           CASE DEFAULT
              message = "Invalid averaging period '" // TRIM(str(dt)) // " hours"
-             CALL abort('preprocess', message)
+             CALL inifor_abort('preprocess', message)
 
           END SELECT
@@ -3978,5 +3981,5 @@
        CASE DEFAULT
           message = "IO group kind '" // TRIM(group % kind) // "' is not supported."
-          CALL abort('prerpocess', message)
+          CALL inifor_abort('prerpocess', message)
 
        END SELECT
Index: /palm/trunk/UTIL/inifor/src/inifor_io.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_io.f90	(revision 3614)
+++ /palm/trunk/UTIL/inifor/src/inifor_io.f90	(revision 3615)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! bugfix: abort replaced by inifor_abort
+! 
+! 3557 2018-11-22 16:01:22Z eckhard
 ! Updated documentation, removed unused subroutine write_netcdf_variable_2d()
 ! 
@@ -147,5 +150,5 @@
           message = "Failed to read '" // TRIM(in_var % name) // &
              "' from file '" // TRIM(in_file) // "'."
-          CALL abort('get_netcdf_variable', message)
+          CALL inifor_abort('get_netcdf_variable', message)
 
        END IF
@@ -191,5 +194,5 @@
           message = "Failed to read '" // TRIM(in_var % name) // &
              "' from file '" // TRIM(in_file) // "'."
-          CALL abort('get_netcdf_variable', message)
+          CALL inifor_abort('get_netcdf_variable', message)
 
        END IF
@@ -229,5 +232,5 @@
           message = "Failed to read '" // TRIM(coordname) // &
              "' from file '" // TRIM(filename) // "'."
-          CALL abort('get_netcdf_dim_vector', message)
+          CALL inifor_abort('get_netcdf_dim_vector', message)
 
        END IF
@@ -288,5 +291,5 @@
              " dimensions because only two- and and three-dimensional" //      &
              " variables are supported."
-          CALL abort('get_netcdf_start_and_count', message)
+          CALL inifor_abort('get_netcdf_start_and_count', message)
 
        END IF
@@ -429,5 +432,5 @@
 
              CASE( '-clon', '-clat' )
-                CALL abort('parse_command_line_arguments', message)          
+                CALL inifor_abort('parse_command_line_arguments', message)
 
              CASE( '-path', '-p', '--path' )
@@ -504,5 +507,5 @@
              CASE DEFAULT
                 message = "unknown option '" // TRIM(option) // "'."
-                CALL abort('parse_command_line_arguments', message)
+                CALL inifor_abort('parse_command_line_arguments', message)
 
              END SELECT
@@ -560,5 +563,5 @@
       IF (.NOT. all_files_present)  THEN
          message = "INIFOR configuration invalid; some input files are missing."
-         CALL abort( 'validate_config', message ) 
+         CALL inifor_abort( 'validate_config', message )
       END IF
       
@@ -572,5 +575,5 @@
                    "or omit the -i/--init-mode/-mode option entirely, which corresponds "//&
                    "to the latter."
-         CALL abort( 'validate_config', message ) 
+         CALL inifor_abort( 'validate_config', message )
       END SELECT
 
@@ -584,5 +587,5 @@
                    "or omit the -f/--forcing-mode option entirely, which corresponds "//&
                    "to the latter."
-         CALL abort( 'validate_config', message ) 
+         CALL inifor_abort( 'validate_config', message )
       END SELECT
 
@@ -595,5 +598,5 @@
                    "or omit the --averaging-mode option entirely, which corresponds "//&
                    "to the latter."
-         CALL abort( 'validate_config', message ) 
+         CALL inifor_abort( 'validate_config', message )
       END SELECT
 
@@ -601,5 +604,5 @@
          message = "You specified only one component of the geostrophic " // &
                    "wind. Please specify either both or none."
-         CALL abort( 'validate_config', message )
+         CALL inifor_abort( 'validate_config', message )
       END IF
 
@@ -921,5 +924,5 @@
                        "' contains " //                                        &
                        TRIM( str(SIZE(group % in_var_list)) ) // "."
-             CALL abort('read_input_variables | accumulation', message)
+             CALL inifor_abort('read_input_variables | accumulation', message)
           END IF
 
@@ -1007,5 +1010,5 @@
        CASE DEFAULT
            message = "Invalid step '" // TRIM(str(step))
-           CALL abort('select_buffer', message)
+           CALL inifor_abort('select_buffer', message)
        END SELECT
     END FUNCTION select_buffer
@@ -1036,5 +1039,5 @@
           message = "Failed to read '" // TRIM(var) // &
                     "' from file '" // TRIM(input_file) // "'."
-          CALL abort('get_pressure_var', message)
+          CALL inifor_abort('get_pressure_var', message)
 
        END IF
@@ -1066,5 +1069,5 @@
           message = "Failed to read '" // TRIM(attribute) // &
                     "' from file '" // TRIM(filename) // "'."
-          CALL abort('get_netcdf_attribute', message)
+          CALL inifor_abort('get_netcdf_attribute', message)
 
        END IF
@@ -1193,5 +1196,5 @@
            message = "Variable kind '" // TRIM(var % kind) //                  &
                     "' not recognized."
-           CALL abort('update_output', message)
+           CALL inifor_abort('update_output', message)
 
        END SELECT
@@ -1214,5 +1217,5 @@
           message = "NetCDF API call failed with error: " //                     &
                     TRIM( nf90_strerror(status) )
-          CALL abort('io.check', message) 
+          CALL inifor_abort('io.check', message)
        END IF
 
Index: /palm/trunk/UTIL/inifor/src/inifor_transform.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_transform.f90	(revision 3614)
+++ /palm/trunk/UTIL/inifor/src/inifor_transform.f90	(revision 3615)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! bugfix: abort replaced by inifor_abort
+! 
+! 3614 2018-12-10 07:05:46Z raasch
 ! unused variables removed
 ! 
@@ -184,5 +187,5 @@
               TRIM(str(UBOUND(outvar, 3))) // ") than input variable ("//&
               TRIM(str(UBOUND(invar, 3))) // ")."
-           CALL abort('interpolate_2d', message) 
+           CALL inifor_abort('interpolate_2d', message)
        END IF
 
@@ -223,5 +226,5 @@
              NEW_LINE(' ') // "ii has " // str(SIZE(ii)) // " elements, " //   &
              NEW_LINE(' ') // "jj has " // str(SIZE(jj)) // "."
-          CALL abort('average_2d', message)
+          CALL inifor_abort('average_2d', message)
        END IF
 
@@ -848,5 +851,5 @@
 
                 message = "PALM-4U grid extends above COSMO-DE model top."
-                CALL abort('find_vertical_neighbours_and_weights', message)
+                CALL inifor_abort('find_vertical_neighbours_and_weights', message)
 
              ELSE IF (point_is_below_grid)  THEN
@@ -873,5 +876,5 @@
                    message = "Index " // TRIM(str(k_intermediate)) //          &
                              " is above intermediate grid range."
-                   CALL abort('find_vertical_neighbours', message)
+                   CALL inifor_abort('find_vertical_neighbours', message)
                 END IF
    
@@ -982,5 +985,5 @@
 
                 message = "PALM-4U grid extends above COSMO-DE model top."
-                CALL abort('find_vertical_neighbours_and_weights_average', message)
+                CALL inifor_abort('find_vertical_neighbours_and_weights_average', message)
 
              ELSE IF (point_is_below_grid)  THEN
@@ -1010,5 +1013,5 @@
                    message = "Index " // TRIM(str(k_intermediate)) //          &
                              " is above intermediate grid range."
-                   CALL abort('find_vertical_neighbours', message)
+                   CALL inifor_abort('find_vertical_neighbours', message)
                 END IF
    
@@ -1108,10 +1111,10 @@
               message = "Horizontal weight wl = " // TRIM(real_to_str(wl)) //   &
                         " is out bounds."
-              CALL abort('compute_horizontal_interp_weights', message)
+              CALL inifor_abort('compute_horizontal_interp_weights', message)
           END IF
           IF (wp > 1.0_dp .OR. wp < 0.0_dp)  THEN
               message = "Horizontal weight wp = " // TRIM(real_to_str(wp)) //   &
                         " is out bounds."
-              CALL abort('compute_horizontal_interp_weights', message)
+              CALL inifor_abort('compute_horizontal_interp_weights', message)
           END IF
 