Index: /palm/trunk/UTIL/inifor/src/inifor.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/src/inifor.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 3615 2018-12-10 07:21:03Z raasch
 ! bugfix: abort replaced by inifor_abort
 ! 
@@ -74,7 +78,7 @@
  PROGRAM inifor
 
-    USE control
-    USE defs
-    USE grid,                                                                  &
+    USE inifor_control
+    USE inifor_defs
+    USE inifor_grid,                                                           &
         ONLY:  setup_parameters, setup_grids, setup_variable_tables,           &
                setup_io_groups, fini_grids, fini_variables, fini_io_groups,    &
@@ -84,10 +88,10 @@
                averaging_width_ns, averaging_width_ew, phi_n, lambda_n,        &
                lam_centre, phi_centre
-    USE io
-    USE transform,                                                             &
+    USE inifor_io
+    USE inifor_transform,                                                      &
         ONLY:  average_profile, interpolate_2d, interpolate_3d,                &
                geostrophic_winds, extrapolate_density, extrapolate_pressure,   &
                get_surface_pressure
-    USE types
+    USE inifor_types
     
     IMPLICIT NONE
Index: /palm/trunk/UTIL/inifor/src/inifor_control.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_control.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/src/inifor_control.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 3614 2018-12-10 07:05:46Z raasch
 ! abort renamed inifor_abort to avoid intrinsic problem in Fortran
 ! 
@@ -58,10 +62,10 @@
 !> feedback to the terminal and a log file.
 !------------------------------------------------------------------------------!
- MODULE control
-
-    USE defs,                                                                  &
+ MODULE inifor_control
+
+    USE inifor_defs,                                                           &
         ONLY:  LNAME, dp, VERSION, COPYRIGHT
 
-    USE util,                                                                  &
+    USE inifor_util,                                                           &
         ONLY:  real_to_str, real_to_str_f
 
@@ -258,4 +262,4 @@
     END SUBROUTINE run_control
 
- END MODULE
-
+ END MODULE inifor_control
+
Index: /palm/trunk/UTIL/inifor/src/inifor_defs.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_defs.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/src/inifor_defs.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed module with inifor_
+! 
+! 
+! 3613 2018-12-07 18:20:37Z eckhard
 ! Bumped version number
 ! 
@@ -73,5 +77,5 @@
 !> The defs module provides global constants used in INIFOR.
 !------------------------------------------------------------------------------!
- MODULE defs
+ MODULE inifor_defs
  
  IMPLICIT NONE
@@ -127,3 +131,3 @@
      ACHAR( 10 ) // ' Copyright 2017-2018 Deutscher Wetterdienst Offenbach' !< Copyright notice
 
- END MODULE defs
+ END MODULE inifor_defs
Index: /palm/trunk/UTIL/inifor/src/inifor_grid.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_, removed unused variables
+! 
+! 
+! 3615 2018-12-10 07:21:03Z raasch
 ! bugfix: abort replaced by inifor_abort
 ! 
@@ -97,19 +101,17 @@
 !------------------------------------------------------------------------------!
 
- MODULE grid
-
-    USE control
-    USE defs,                                                                  &
+ MODULE inifor_grid
+
+    USE inifor_control
+    USE inifor_defs,                                                           &
         ONLY:  DATE, EARTH_RADIUS, TO_RADIANS, TO_DEGREES, PI, dp, hp, sp,     &
                SNAME, LNAME, PATH, FORCING_STEP, WATER_ID, FILL_ITERATIONS,    &
                BETA, P_SL, T_SL, BETA, RD, RV, G, P_REF, RD_PALM, CP_PALM,     &
                RHO_L, OMEGA, HECTO
-    USE io,                                                                    &
+    USE inifor_io,                                                             &
         ONLY:  get_netcdf_attribute, get_netcdf_dim_vector,                    &
                get_netcdf_variable, parse_command_line_arguments,              &
                validate_config
-    USE netcdf,                                                                &
-        ONLY:  NF90_MAX_NAME, NF90_MAX_VAR_DIMS
-    USE transform,                                                             &
+    USE inifor_transform,                                                      &
         ONLY:  average_2d, rotate_to_cosmo, find_horizontal_neighbours,&
                compute_horizontal_interp_weights,                              &
@@ -119,6 +121,8 @@
                project, centre_velocities, phi2phirot, rla2rlarot, uv2uvrot,   &
                phirot2phi, rlarot2rla
-    USE types
-    USE util
+    USE inifor_types
+    USE inifor_util
+    USE netcdf,                                                                &
+        ONLY:  NF90_MAX_NAME, NF90_MAX_VAR_DIMS
     
     IMPLICIT NONE
@@ -628,5 +632,5 @@
        phirot = project(0.5_dp*ly, y0, EARTH_RADIUS) * TO_DEGREES,             &
        rlarot = project(0.5_dp*lx, x0, EARTH_RADIUS) * TO_DEGREES,             &
-       polphi = phi_cn * TO_DEGREES, pollam = lambda_cn * TO_DEGREES,          &
+       polphi = phi_cn * TO_DEGREES,                                           &
        polgam = gam * TO_DEGREES                                               &
     ) * TO_RADIANS
@@ -660,5 +664,5 @@
     f3 = 2.0_dp * OMEGA * SIN(                                                 &
        TO_RADIANS*phirot2phi( phi_centre * TO_DEGREES, lam_centre * TO_DEGREES,&
-                              phi_n * TO_DEGREES, lambda_n * TO_DEGREES,       &
+                              phi_n * TO_DEGREES,                              &
                               gam * TO_DEGREES )                               &
        )
@@ -1825,5 +1829,4 @@
        IF ( number_stretch_level_end >= 1 ) THEN 
           CALL calculate_stretching_factor( number_stretch_level_end, dz,      & 
-                                            dz_stretch_factor,                 &
                                             dz_stretch_factor_array,           &   
                                             dz_stretch_level_end,              &
@@ -1903,5 +1906,5 @@
 !> results into an overdetermined system. 
 !------------------------------------------------------------------------------!
- SUBROUTINE calculate_stretching_factor( number_end, dz, dz_stretch_factor,    &
+ SUBROUTINE calculate_stretching_factor( number_end, dz,                       &
                                          dz_stretch_factor_array,              &   
                                          dz_stretch_level_end,                 &
@@ -1911,5 +1914,4 @@
     REAL(dp), DIMENSION(:), INTENT(INOUT) ::  dz_stretch_factor_array
     REAL(dp), DIMENSION(:), INTENT(IN)    ::  dz_stretch_level_end, dz_stretch_level_start
-    REAL(dp)                              ::  dz_stretch_factor
   
     INTEGER ::  iterations  !< number of iterations until stretch_factor_lower/upper_limit is reached  
@@ -4117,3 +4119,3 @@
     END SUBROUTINE get_soil_layer_thickness
 
- END MODULE grid
+ END MODULE inifor_grid
Index: /palm/trunk/UTIL/inifor/src/inifor_io.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_io.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/src/inifor_io.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 3615 2018-12-10 07:21:03Z raasch
 ! bugfix: abort replaced by inifor_abort
 ! 
@@ -87,13 +91,13 @@
 !> INIFOR.
 !------------------------------------------------------------------------------!
- MODULE io
-
-    USE control
-    USE defs,                                                                  &
+ MODULE inifor_io
+
+    USE inifor_control
+    USE inifor_defs,                                                           &
         ONLY:  DATE, SNAME, PATH, PI, dp, hp, TO_RADIANS, TO_DEGREES, VERSION
+    USE inifor_types
+    USE inifor_util,                                                           &
+        ONLY:  reverse, str, real_to_str
     USE netcdf
-    USE types
-    USE util,                                                                  &
-        ONLY:  reverse, str, real_to_str
 
     IMPLICIT NONE
@@ -1222,3 +1226,3 @@
     END SUBROUTINE check
 
- END MODULE io
+ END MODULE inifor_io
Index: /palm/trunk/UTIL/inifor/src/inifor_transform.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_transform.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/src/inifor_transform.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_, removed unused variables
+! 
+! 
+! 3615 2018-12-10 07:21:03Z raasch
 ! bugfix: abort replaced by inifor_abort
 ! 
@@ -76,11 +80,11 @@
 !> int2lm's utility routines.
 !------------------------------------------------------------------------------!
- MODULE transform
-
-    USE control
-    USE defs,                                                                  &
+ MODULE inifor_transform
+
+    USE inifor_control
+    USE inifor_defs,                                                           &
         ONLY: G, TO_DEGREES, TO_RADIANS, PI, dp
-    USE types
-    USE util,                                                                  &       
+    USE inifor_types
+    USE inifor_util,                                                           &
         ONLY: real_to_str, str
 
@@ -622,5 +626,4 @@
                                    lamr(i) * TO_DEGREES,                       &
                                    phip * TO_DEGREES,                          &
-                                   lamp * TO_DEGREES,                          &
                                    gam  * TO_DEGREES) * TO_RADIANS
 
@@ -1162,8 +1165,7 @@
 !> Compute the geographical latitude of a point given in rotated-pole cordinates
 !------------------------------------------------------------------------------!
-    FUNCTION phirot2phi (phirot, rlarot, polphi, pollam, polgam)
+    FUNCTION phirot2phi (phirot, rlarot, polphi, polgam)
     
        REAL(dp), INTENT (IN) ::  polphi      !< latitude of the rotated north pole
-       REAL(dp), INTENT (IN) ::  pollam      !< longitude of the rotated north pole
        REAL(dp), INTENT (IN) ::  phirot      !< latitude in the rotated system
        REAL(dp), INTENT (IN) ::  rlarot      !< longitude in the rotated system
@@ -1396,4 +1398,4 @@
     END SUBROUTINE uvrot2uv
 
- END MODULE
-
+ END MODULE inifor_transform
+
Index: /palm/trunk/UTIL/inifor/src/inifor_types.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_types.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/src/inifor_types.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 3557 2018-11-22 16:01:22Z eckhard
 ! Updated documentation
 ! 
@@ -61,7 +65,7 @@
 !> The types module provides derived data types used in INIFOR.
 !------------------------------------------------------------------------------!
- MODULE types
+ MODULE inifor_types
  
- USE defs,                                                                     &
+ USE inifor_defs,                                                              &
     ONLY:  dp, DATE, PATH, SNAME, LNAME
  USE netcdf,                                                                   &
@@ -253,4 +257,4 @@
  END TYPE container
 
- END MODULE types
-
+ END MODULE inifor_types
+
Index: /palm/trunk/UTIL/inifor/src/inifor_util.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_util.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/src/inifor_util.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 3557 2018-11-22 16:01:22Z eckhard
 ! Updated documentation
 ! 
@@ -54,12 +58,12 @@
 !> The util module provides miscellaneous utility routines for INIFOR.
 !------------------------------------------------------------------------------!
- MODULE util
-
+ MODULE inifor_util
+
+    USE inifor_defs,                                                           &
+        ONLY :  dp, PI, DATE, SNAME
+    USE inifor_types,                                                          &
+        ONLY :  grid_definition
     USE, INTRINSIC :: ISO_C_BINDING,                                           &
         ONLY :  C_CHAR, C_INT, C_PTR, C_SIZE_T
-    USE defs,                                                                  &
-        ONLY :  dp, PI, DATE, SNAME
-    USE types,                                                                 &
-        ONLY :  grid_definition
 
     IMPLICIT NONE
@@ -415,4 +419,4 @@
     END SUBROUTINE
 
- END MODULE
-
+ END MODULE inifor_util
+
Index: /palm/trunk/UTIL/inifor/tests/Makefile
===================================================================
--- /palm/trunk/UTIL/inifor/tests/Makefile	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/Makefile	(revision 3618)
@@ -25,4 +25,8 @@
 # -----------------
 # $Id$
+# Prefixed INIFOR modules with inifor_
+# 
+# 
+# 2718 2018-01-02 08:49:38Z maronga
 # Initial revision
 #
@@ -43,5 +47,5 @@
 TESTS    = $(patsubst %.f90,%,$(wildcard test-*.f90))
 
-MODULES = util.mod $(SRC_PATH)/defs.mod $(SRC_PATH)/control.mod $(SRC_PATH)/util.mod $(SRC_PATH)/types.mod $(SRC_PATH)/transform.mod $(SRC_PATH)/io.mod $(SRC_PATH)/grid.mod
+MODULES = util.mod $(SRC_PATH)/inifor_defs.mod $(SRC_PATH)/inifor_control.mod $(SRC_PATH)/inifor_util.mod $(SRC_PATH)/inifor_types.mod $(SRC_PATH)/inifor_transform.mod $(SRC_PATH)/inifor_io.mod $(SRC_PATH)/inifor_grid.mod
 SOURCES = $(MODULES:%.mod=%.f90)
 OBJECTS = $(SOURCES:%.f90=%.o)
Index: /palm/trunk/UTIL/inifor/tests/Makefile.gnu
===================================================================
--- /palm/trunk/UTIL/inifor/tests/Makefile.gnu	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/Makefile.gnu	(revision 3618)
@@ -25,4 +25,8 @@
 # -----------------
 # $Id$
+# Prefixed INIFOR modules with inifor_
+# 
+# 
+# 2718 2018-01-02 08:49:38Z maronga
 # Initial revision
 #
@@ -44,5 +48,5 @@
 TESTS    = $(patsubst %.f90,%,$(wildcard test-*.f90))
 
-MODULES = util.mod $(SRC_PATH)/defs.mod $(SRC_PATH)/control.mod $(SRC_PATH)/util.mod $(SRC_PATH)/types.mod $(SRC_PATH)/transform.mod $(SRC_PATH)/io.mod $(SRC_PATH)/grid.mod
+MODULES = util.mod $(SRC_PATH)/inifor_defs.mod $(SRC_PATH)/inifor_control.mod $(SRC_PATH)/inifor_util.mod $(SRC_PATH)/inifor_types.mod $(SRC_PATH)/inifor_transform.mod $(SRC_PATH)/inifor_io.mod $(SRC_PATH)/inifor_grid.mod
 SOURCES = $(MODULES:%.mod=%.f90)
 OBJECTS = $(SOURCES:%.f90=%.o)
Index: /palm/trunk/UTIL/inifor/tests/Makefile.ifort
===================================================================
--- /palm/trunk/UTIL/inifor/tests/Makefile.ifort	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/Makefile.ifort	(revision 3618)
@@ -25,4 +25,8 @@
 # -----------------
 # $Id$
+# Prefixed INIFOR modules with inifor_
+# 
+# 
+# 2718 2018-01-02 08:49:38Z maronga
 # Initial revision
 #
@@ -44,5 +48,5 @@
 TESTS    = $(patsubst %.f90,%,$(wildcard test-*.f90))
 
-MODULES = util.mod $(SRC_PATH)/defs.mod $(SRC_PATH)/control.mod $(SRC_PATH)/util.mod $(SRC_PATH)/types.mod $(SRC_PATH)/transform.mod $(SRC_PATH)/io.mod $(SRC_PATH)/grid.mod
+MODULES = util.mod $(SRC_PATH)/inifor_defs.mod $(SRC_PATH)/inifor_control.mod $(SRC_PATH)/inifor_util.mod $(SRC_PATH)/inifor_types.mod $(SRC_PATH)/inifor_transform.mod $(SRC_PATH)/inifor_io.mod $(SRC_PATH)/inifor_grid.mod
 SOURCES = $(MODULES:%.mod=%.f90)
 OBJECTS = $(SOURCES:%.f90=%.o)
Index: /palm/trunk/UTIL/inifor/tests/test-boundaries.f90
===================================================================
--- /palm/trunk/UTIL/inifor/tests/test-boundaries.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/test-boundaries.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Updated test for new PALM grid strechting
 ! 
@@ -45,6 +49,8 @@
  PROGRAM test_boundaries
 
-    USE grid, ONLY  :  init_grid_definition
-    USE types, ONLY :  grid_definition
+    USE inifor_grid,                                                           &
+        ONLY  :  init_grid_definition
+    USE inifor_types,                                                          &
+        ONLY :  grid_definition
     USE test_utils
     
Index: /palm/trunk/UTIL/inifor/tests/test-centre-velocities.f90
===================================================================
--- /palm/trunk/UTIL/inifor/tests/test-centre-velocities.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/test-centre-velocities.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Initial revision
 !
@@ -40,7 +44,7 @@
  PROGRAM test_centre_velocities
 
+    USE inifor_transform,                                                      &
+        ONLY :  centre_velocities
     USE test_utils
-    USE transform, &
-        ONLY :  centre_velocities
     
     IMPLICIT NONE
Index: /palm/trunk/UTIL/inifor/tests/test-grid.f90
===================================================================
--- /palm/trunk/UTIL/inifor/tests/test-grid.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/test-grid.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Updated test for new PALM grid strechting
 ! 
@@ -45,5 +49,6 @@
  PROGRAM test_grid
 
-    USE grid, ONLY :  grid_definition, init_grid_definition, dx, dy, dz
+    USE inifor_grid,                                                           &
+        ONLY :  grid_definition, init_grid_definition, dx, dy, dz
     USE test_utils
     
Index: /palm/trunk/UTIL/inifor/tests/test-input-files.f90
===================================================================
--- /palm/trunk/UTIL/inifor/tests/test-input-files.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/test-input-files.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! New test for negative start_hour and greater-than-one step_hour
 !
@@ -45,7 +49,7 @@
  PROGRAM test_input_files
 
-    USE defs,                                                                  &
+    USE inifor_defs,                                                           &
         ONLY :  PATH
-    USE grid,                                                                  & 
+    USE inifor_grid,                                                           &
         ONLY :  get_input_file_list
     USE test_utils
Index: /palm/trunk/UTIL/inifor/tests/test-interpolation.f90
===================================================================
--- /palm/trunk/UTIL/inifor/tests/test-interpolation.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/test-interpolation.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Updated test for new grid_definition
 !
@@ -44,8 +48,8 @@
  PROGRAM test_interpolation
 
-    USE grid, &
-        ONLY:  grid_definition, init_grid_definition, TO_RADIANS, TO_DEGREES, &
+    USE inifor_grid,                                                           &
+        ONLY:  grid_definition, init_grid_definition, TO_RADIANS, TO_DEGREES,  &
                linspace, hhl
-    USE transform, &
+    USE inifor_transform,                                                      &
         ONLY:  find_horizontal_neighbours, compute_horizontal_interp_weights
     USE test_utils
Index: /palm/trunk/UTIL/inifor/tests/test-stretching.f90
===================================================================
--- /palm/trunk/UTIL/inifor/tests/test-stretching.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/test-stretching.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all INIFOR modules with inifor_
+! 
+! 
+! 
 ! Initial revision
 ! 
@@ -43,8 +47,8 @@
  PROGRAM test_stretching
 
-    USE defs, &
+    USE inifor_defs,                                                           &
         ONLY :  dp
 
-    USE grid, &
+    USE inifor_grid,                                                           &
         ONLY :  stretched_z
 
Index: /palm/trunk/UTIL/inifor/tests/test-transform.f90
===================================================================
--- /palm/trunk/UTIL/inifor/tests/test-transform.f90	(revision 3617)
+++ /palm/trunk/UTIL/inifor/tests/test-transform.f90	(revision 3618)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Prefixed all modules with inifor_
+! 
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Initial revision
 !
@@ -40,7 +44,10 @@
  PROGRAM test_transform
 
-    USE defs, ONLY :  TO_RADIANS, TO_DEGREES
-    USE grid, ONLY :  grid_definition, init_grid_definition
-    USE transform, ONLY :  phi2phirot, rla2rlarot, phirot2phi, rlarot2rla
+    USE inifor_defs,                                                           &
+        ONLY :  TO_RADIANS, TO_DEGREES
+    USE inifor_grid,                                                           &
+        ONLY :  grid_definition, init_grid_definition
+    USE inifor_transform,                                                      &
+        ONLY :  phi2phirot, rla2rlarot, phirot2phi, rlarot2rla
     USE test_utils
     
@@ -68,5 +75,5 @@
     lambda_c  = rla2rlarot(phi,   lambda, phi_n, lambda_n, 0.)
 
-    phi2      = phirot2phi(phi_c, lambda_c, phi_n, lambda_n, 0.)
+    phi2      = phirot2phi(phi_c, lambda_c, phi_n, 0.)
     lambda2   = rlarot2rla(phi_c, lambda_c, phi_n, lambda_n, 0.)
 
@@ -91,5 +98,5 @@
     lambda_c  = rla2rlarot(phi,   lambda, phi_n, lambda_n, 0.)
 
-    phi2      = phirot2phi(phi_c, lambda_c, phi_n, lambda_n, 0.)
+    phi2      = phirot2phi(phi_c, lambda_c, phi_n, 0.)
     lambda2   = rlarot2rla(phi_c, lambda_c, phi_n, lambda_n, 0.)
 